### Method

# Gtk Widget get_scale_factor

#### Declaration [src]

    int
    gtk_widget_get_scale_factor (
      GtkWidget* widget
    )

#### Description [src]

Retrieves the internal scale factor that maps from window coordinates to the actual device pixels.

On traditional systems this is 1, on high density outputs, it can be a higher value (typically 2).

See gdk_surface_get_scale_factor().

Gets property | `Gtk.Widget:scale-factor`

#### Return value

Returns: | `int`
| The scale factor for `widget`.